---
title: Get Signed URL
description: Retrieves a signed URL to access a private asset.
url: https://storyblok.com/docs/api/content-delivery/v2/assets/get-signed-url
---

# Get Signed URL

Retrieve the signed URL for a private asset to access it. Learn more about private assets in the [Assets concept](/docs/concepts/assets#private-assets).

GET

```html
https://api.storyblok.com/v2/cdn/assets/me
```

## Query parameters

-   `token` (required) (string)
    
    An asset token configured in the space
    
-   `filename` (required) (string)
    
    Complete URL of the asset
    

## Response properties

-   `asset` (object)
    
    asset object received in the response of a get signed URL request.
    
    Show asset object child properties
    
    -   `alt` (string)
        
        Alt text for the asset (default language)
        
    -   `asset_folder_id` (number)
        
        ID of the folder containing this asset
        
    -   `content_length` (number)
        
        The content length in bytes
        
    -   `content_type` (string)
        
        The content type (e.g., image/png)
        
    -   `copyright` (string)
        
        Copyright text for the asset (default language)
        
    -   `created_at` (string)
        
        Creation date (Format: yyyy-MM-dd’T’HH:mm:ssZ)
        
    -   `expire_at` (string)
        
        Date when the asset should expire (Format: yyyy-MM-dd’T’HH:mm:ssZ)
        
    -   `filename` (string)
        
        Full path of the asset, including the file name
        
    -   `focus` (string)
        
        The focus point of the image (only for image assets)
        
    -   `is_private` (boolean)
        
        Defines if the asset should be inaccessible to the public
        
    -   `signed_url` (string)
        
        The signed URL for the asset
        
    -   `title` (string)
        
        Title of the asset
        
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/assets/me\
    ?token=cNGPp8cvuCfoAZB3g3eHrAtt\
    &filename=https%3A%2F%2Fa.storyblok.com%2Ff%2F44203%2Fx%2F5231aa9c8a%2Ffavicon.ico"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/assets/me', {
        "filename": "https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->get('assets/me', [
      "filename" => "https =>//a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/assets/me?token=cNGPp8cvuCfoAZB3g3eHrAtt&filename=https%3A%2F%2Fa.storyblok.com%2Ff%2F44203%2Fx%2F5231aa9c8a%2Ffavicon.ico")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/assets/me?token=cNGPp8cvuCfoAZB3g3eHrAtt&filename=https%3A%2F%2Fa.storyblok.com%2Ff%2F44203%2Fx%2F5231aa9c8a%2Ffavicon.ico");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/assets/me"
    
    querystring = {"token":"cNGPp8cvuCfoAZB3g3eHrAtt","filename":"https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.get('assets/me', {:params => {
      "filename" => "https =>//a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "cNGPp8cvuCfoAZB3g3eHrAtt"))
    var request = URLRequest(storyblok: storyblok, path: "assets/me")
    request.url!.append(queryItems: [
        URLQueryItem(name: "filename", value: "https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "cNGPp8cvuCfoAZB3g3eHrAtt"
        }
    }
    
    val response = client.get("assets/me") {
        url {
            parameters.append("filename", "https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico")
        }
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: The Tag Object](/docs/api/content-delivery/v2/tags/the-tag-object)
-   [Next: Introduction](/docs/api/management)
